package com.smppw.analysis.application.dto.info;

import cn.hutool.core.util.StrUtil;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.NavType;
import com.smppw.common.pojo.enums.RaiseType;
import com.smppw.common.pojo.enums.strategy.Strategy;
import lombok.Setter;

@Setter
public class HeadIndicatorReq {
    private String secId;
    private NavType navType;
    private Frequency frequency;
    private RaiseType raiseType;
    private String strategy;

    public String getSecId() {
        return secId;
    }

    public NavType getNavType() {
        return StrUtil.isBlankIfStr(this.navType) ? NavType.CumulativeNav : this.navType;
    }

    public Frequency getFrequency() {
        return StrUtil.isBlankIfStr(this.frequency) ? Frequency.Default : this.frequency;
    }

    public RaiseType getRaiseType() {
        return StrUtil.isBlankIfStr(this.raiseType) ? RaiseType.Private : this.raiseType;
    }

    public String getStrategy() {
        return StrUtil.isBlank(this.strategy) ? Strategy.All.getStrategyOriginName() : this.strategy;
    }
}
